NoBannerLogger (Apache Ant API)
Keywords: org.apache.tools.ant.NoBannerLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class NoBannerLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.apache.tools.ant.NoBannerLogger

All Implemented Interfaces:
  java.util.EventListener, BuildListener, BuildLogger

    public class NoBannerLogger

extends DefaultLogger

Extends DefaultLogger to strip out empty targets.

Field Summary
`protected java.lang.String` | `targetName` Name of the current target, if it should be displayed on the next message.

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`NoBannerLogger()` Sole constructor.

Method Summary
`void` | `messageLogged(BuildEvent event)` Logs a message for a target if it is of an appropriate priority, also logging the name of the target if this is the first message which needs to be logged for the target.
`void` | `targetFinished(BuildEvent event)` Resets the current target name to `null`.
`void` | `targetStarted(BuildEvent event)` Notes the name of the target so it can be logged if it generates any messages.

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, log, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetName

    protected java.lang.String targetName

  Name of the current target, if it should be displayed on the next message. This is set when a target starts building, and reset to `null` after the first message for the target is logged.

Constructor Detail

### NoBannerLogger

    public NoBannerLogger()

  Sole constructor.

Method Detail

### targetStarted

    public void targetStarted(BuildEvent event)

  Notes the name of the target so it can be logged if it generates any messages.

  Specified by:
    `targetStarted` in interface `BuildListener`
  Overrides:
    `targetStarted` in class `DefaultLogger`
  Parameters:
    `event` - A BuildEvent containing target information. Must not be `null`.
  See Also:
    `BuildEvent.getTarget()`

### targetFinished

    public void targetFinished(BuildEvent event)

  Resets the current target name to `null`.

  Specified by:
    `targetFinished` in interface `BuildListener`
  Overrides:
    `targetFinished` in class `DefaultLogger`
  Parameters:
    `event` - Ignored in this implementation.
  See Also:
    `BuildEvent.getException()`

### messageLogged

    public void messageLogged(BuildEvent event)

  Logs a message for a target if it is of an appropriate priority, also logging the name of the target if this is the first message which needs to be logged for the target.

  Specified by:
    `messageLogged` in interface `BuildListener`
  Overrides:
    `messageLogged` in class `DefaultLogger`
  Parameters:
    `event` - A BuildEvent containing message information. Must not be `null`.
  See Also:
    `BuildEvent.getMessage()`, `BuildEvent.getException()`, `BuildEvent.getPriority()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD